<!DOCTYPE HTML>
<html>
    <head>

        <!-- Mobile Responsive Meta Tag -->
        <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">

        <!-- Bootstrap Link -->
        <link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/bootstrap@4.6.0/dist/css/bootstrap.min.css" integrity="sha384-B0vP5xmATw1+K9KRQjQERJvTumQW0nPEzvF6L/Z6nronJ3oUOFUFpCjEUQouq2+l" crossorigin="anonymous"/>

        <!-- Custom CSS -->
        <!-- <link rel="stylesheet" href="index.css"> -->

        <title>Bootstrap Grid System</title>

    </head>
    <body class="text-center">

        <div class="container-fluid pt-5">

           
            <h3>Mobile Responsive Columns</h3>

            <div class="text-light row">
                <div class="bg-primary pt-3 pb-3 border border-dark col-md-4">Responsive</div>
                <div class="bg-secondary pt-3 pb-3 border border-dark col-md-8">Responsive</div>
            </div>
            
            
            <h3>Multi-Column Layouts</h3>

            <div class="text-light row">
                <div class="bg-primary pt-3 pb-3 border border-dark col-4">Catalog 1</div>
                <div class="bg-secondary pt-3 pb-3 border border-dark col-4">Catalog 2</div>
                <div class="bg-primary pt-3 pb-3 border border-dark col-4">Catalog 3</div>

            </div>
            <div class="text-light row">
                <div class="bg-primary pt-3 pb-3 border border-dark col-4">Catalog 4</div>
                <div class="bg-secondary pt-3 pb-3 border border-dark col-4">Catalog 5</div>
                <div class="bg-primary pt-3 pb-3 border border-dark col-4">Catalog 6</div>
            </div>

        </div>
      
        <div class="container-fluid">

           
            <h2>Offsetting Columns</h2>

                <div class="row text-white">

                    <div class="bg-primary pt-3 pb-3 border border-dark col-6 offset-2">Offset Column</div>

                </div>

                <div class="row text-white">

                    <div class="bg-primary pt-3 pb-3 border border-dark col-6 offset-md-3 offset-lg-3">Offset Column</div>

                    <div class="bg-primary  pt-3 pb-3 border border-dark col-6 offset-md-0 offset-lg-4 text-white">Offset Column</div>

                </div>

            <h3>Column Orders</h3>

            <div class="text-light row">
                <div class="bg-primary pt-3 pb-3 border border-dark col-6 order-2 order-sm-1">Left</div>
                <div class="bg-secondary pt-3 pb-3 border border-dark col-6 order-1 order-sm-2">Right</div>
            </div>

       
        </div>
        <!-- Automatic Sizing End -->

        <!-- Bootstrap Script -->
        <script src="https://cdn.jsdelivr.net/npm/jquery@3.5.1/dist/jquery.slim.min.js" integrity="sha384-DfXdz2htPH0lsSSs5nCTpuj/zy4C+OGpamoFVy38MVBnE+IbbVYUew+OrCXaRkfj" crossorigin="anonymous"></script>
        <script src="https://cdn.jsdelivr.net/npm/bootstrap@4.6.1/dist/js/bootstrap.bundle.min.js" integrity="sha384-fQybjgWLrvvRgtW6bFlB7jaZrFsaBXjsOMm/tB9LTS58ONXgqbR9W8oWht/amnpF" crossorigin="anonymous"></script>

    </body>
</html>